Package uk.ac.starlink.tfcat

# Class Geometry.Polygon

java.lang.Object
uk.ac.starlink.tfcat.TfcatObject
uk.ac.starlink.tfcat.Geometry<LinearRing[]>
uk.ac.starlink.tfcat.Geometry.Polygon

Enclosing class:
  `Geometry<S>`

public static class Geometry.Polygon extends Geometry<LinearRing[]>
Geometry subclass representing a TFCat Polygon.

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.tfcat.Geometry

`Geometry.GeometryCollection, Geometry.LineString, Geometry.MultiLineString, Geometry.MultiPoint, Geometry.MultiPolygon, Geometry.Point, Geometry.Polygon`

## Method Summary

### Methods inherited from class uk.ac.starlink.tfcat.Geometry

`getShape, purgeJson`

### Methods inherited from class uk.ac.starlink.tfcat.TfcatObject

`getBbox, getCrs, getJson, getParent, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`